## kxstudio-meta 5.9.3

=== debian/changelog ===
kxstudio-meta (5.9.3) lucid; urgency=medium

  * Make cabbage stuff suggests, not recommends
  * Add obxd and teragonaudio-plugins to lv2+vst

 -- falkTX <falktx@gmail.com>  Mon, 24 Mar 2014 22:12:01 +0000

kxstudio-meta (5.9.2) lucid; urgency=medium

  * artyfx, fabla and sorcer are now depends
  * ams.lv2 | avw.lv2

 -- falkTX <falktx@gmail.com>  Thu, 20 Mar 2014 17:02:38 +0000

kxstudio-meta (5.9.1) lucid; urgency=medium

  * Add g2reverb to ladspa

 -- falkTX <falktx@gmail.com>  Sun, 09 Mar 2014 13:39:50 +0000

kxstudio-meta (5.9) lucid; urgency=low

  * Make some things recommends only
    - This is temporary, until all the debian stuff in handled

 -- falkTX <falktx@gmail.com>  Thu, 06 Mar 2014 03:36:33 +0100

kxstudio-meta (5.0.3) lucid; urgency=low

  * Fix for carla-dbg

 -- falkTX <falktx@gmail.com>  Sat, 18 Jan 2014 17:46:26 +0000

kxstudio-meta (5.0.2) lucid; urgency=low

  * carla | carla-git

 -- falkTX <falktx@gmail.com>  Thu, 24 Oct 2013 21:53:49 +0100

kxstudio-meta (5.0.1) lucid; urgency=low

  * Add artyfx to LV2

 -- falkTX <falktx@gmail.com>  Tue, 15 Oct 2013 17:53:54 +0100

kxstudio-meta (5.0) lucid; urgency=low

  * Initial release for Debian

 -- falkTX <falktx@gmail.com>  Tue, 01 Oct 2013 09:50:07 +0100
