=== debian/control ===
Source: kxstudio-meta
Section: metapackages
Priority: optional
Maintainer: falkTX <falktx@gmail.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7)

# -------------------------------------------------------------------------------------------------

Package: kxstudio-meta-all
Architecture: all
Depends: ${misc:Depends},
  kxstudio-meta-audio, kxstudio-meta-audio-plugins, kxstudio-meta-graphics, kxstudio-meta-video
Recommends: kxstudio-meta-restricted-extras
Description: KXStudio meta-packages - All
 This is a meta-package that depends on all meta-packages of the KXStudio desktop.

# -------------------------------------------------------------------------------------------------
# Audio

Package: kxstudio-meta-audio
Architecture: any
Depends: ${misc:Depends},
# CLI Tools
  a2jmidid, jack-capture, ladish,
# KXStudio Tools
  cadence, carla | carla-dbg | carla-git | carla-git-dbg,
# DAWs and Sequencers
  ardour3 | ardour3-git | ardour, hydrogen | hydrogen-git | hydrogen-svn, qtractor | qtractor-svn
# --------------------
Recommends: kxstudio-meta-audio-plugins,
# Mixers
  alsa-tools-gui, ffado-mixer-qt4, mudita24,
# GUI Tools
  audacity, midisnoop, mixxx, vmpk-jack | jack-keyboard,
# DAWs / Sequencers
  lmms, muse, rosegarden, seq24,
# Non Stuff
  non-daw, non-mixer, non-sequencer, non-session-manager,
# New Tools
  giada, laborejo, lisaloqt, petri-foo, sooperlooper,
# Non-Free
  sunvox
# --------------------
Suggests: rtirq-init, timidity
Description: KXStudio meta-packages - Audio
 This is a meta-package that provides the audio part of the KXStudio desktop.

Package: kxstudio-meta-audio-plugins
Architecture: all
Depends: ${misc:Depends},
  amsynth, bristol, calf-plugins, drumgizmo, holap, guitarix,
  jamin, phasex, qsampler, qsynth, rakarrack, zynaddsubfx | yoshimi,
  drumkv1, samplv1, synthv1
Recommends:
  kxstudio-meta-audio-plugins-ladspa,
  kxstudio-meta-audio-plugins-dssi,
  kxstudio-meta-audio-plugins-lv2,
  kxstudio-meta-audio-plugins-vamp,
  kxstudio-meta-audio-plugins-vst
Description: KXStudio meta-packages - Audio plugins
 This is a meta-package that provides the audio plugins part of the KXStudio desktop.

Package: kxstudio-meta-audio-plugins-ladspa
Architecture: all
Depends: ${misc:Depends},
  amb-plugins, autotalent, blepvco, blop, caps, cmt, fil-plugins, foo-plugins, g2reverb, invada-studio-plugins-ladspa, leet-plugins,
  mcp-plugins, omins, rev-plugins, rubberband-ladspa, tap-plugins, swh-plugins, vcf-plugins, vco-plugins,
  vocoder-ladspa, wah-plugins, wasp-ladspa
Recommends: jack-rack
Description: KXStudio meta-packages - LADSPA Audio plugins
 This is a meta-package that provides the LADSPA audio plugins part of the KXStudio desktop.

Package: kxstudio-meta-audio-plugins-dssi
Architecture: all
Depends: ${misc:Depends}, dssi-example-plugins,
  fluidsynth-dssi, hexter, linuxsampler-dssi, ll-scope, ls16,
  nekobee, sineshaper, whysynth, wsynth-dssi, xsynth-dssi, zynaddsubfx-dssi
Recommends: dssi-host-jack, dssi-vst
Description: KXStudio meta-packages - DSSI Audio plugins
 This is a meta-package that provides the DSSI audio plugins part of the KXStudio desktop.

Package: kxstudio-meta-audio-plugins-lv2
Architecture: all
Depends: ${misc:Depends},
  abgate, artyfx, ams.lv2 | avw.lv2, drmr, eq10q, fabla, fomp, invada-studio-plugins-lv2, ir.lv2, linuxsampler-lv2 | linuxsampler-lv2-32chan,
  lv2fil, lv2vocoder, mda-lv2, so-synth-lv2, sorcer, swh-lv2, triceratops-lv2, vocproc,
  arctican-plugins-lv2, distrho-plugins-lv2, distrho-plugin-ports-lv2, drowaudio-plugins-lv2, juced-plugins-lv2,
  klangfalter-lv2, obxd-lv2, pitcheddelay-lv2, tal-plugins-lv2, teragonaudio-plugins-lv2, wolpertinger-lv2
Recommends: jalv,
# TODO
  ll-plugins-lv2, newtonator, setbfree, ssg-lv2
Suggests: cabbage-plugins-lv2
Description: KXStudio meta-packages - LV2 Audio plugins
 This is a meta-package that provides the LV2 audio plugins part of the KXStudio desktop.

Package: kxstudio-meta-audio-plugins-vamp
Architecture: all
Depends: ${misc:Depends},
  rubberband-vamp, vamp-examples
# TODO
Recommends: match-vamp-plugin, vamp-aubio-plugins, vamp-libxtract-plugins, vamp-onsetsds-plugin
Description: KXStudio meta-packages - Vamp Audio plugins
 This is a meta-package that provides the Vamp audio plugins part of the KXStudio desktop.

Package: kxstudio-meta-audio-plugins-vst
Architecture: any
Depends: ${misc:Depends},
# Packaged on Debian repo (simple)
  linuxsampler-vst, pizmidi-plugins,
# Packaged on Debian repo (distrho)
  arctican-plugins-vst, distrho-plugins-vst, distrho-plugin-ports-vst, drowaudio-plugins-vst, juced-plugins-vst,
  klangfalter-vst, obxd-vst, pitcheddelay-vst, tal-plugins-vst, teragonaudio-plugins-vst, wolpertinger-vst
Recommends:
# Packaged on non-free only
  foo-yc20-vst, mda-vst
Suggests: cabbage-plugins-vst
Description: KXStudio meta-packages - VST Audio plugins
 This is a meta-package that provides the VST audio plugins of the KXStudio desktop.

# -------------------------------------------------------------------------------------------------
# Graphics

Package: kxstudio-meta-graphics
Architecture: all
Depends: ${misc:Depends},
  blender, inkscape,
# yafaray, yafaray-blender | yafaray-blender2.5-exporter,
  gimp, gimp-cbmplugs, gimp-data-extras, gimp-dds, gimp-dimage-color, gimp-gap, gimp-gluas,
  gimp-gutenprint, gimp-texturize, gimp-ufraw
Recommends: gimp-plugin-registry, gimp-resynthesizer
Description: KXStudio meta-packages - Graphics
 This is a meta-package that provides the graphics part of the KXStudio desktop.

# -------------------------------------------------------------------------------------------------
# Video

Package: kxstudio-meta-video
Architecture: all
Depends: ${misc:Depends},
  libav-tools | ffmpeg, kdenlive | openshot, recorditnow | gtk-recordmydesktop, vlc, vlc-plugin-jack, xjadeo
# cinecutie | cinelerra
Recommends: qdvdauthor
Description: KXStudio meta-packages - Video
 This is a meta-package that provides the video part of the KXStudio desktop.

# -------------------------------------------------------------------------------------------------
# Codecs

Package: kxstudio-meta-codecs
Architecture: all
Depends: ${misc:Depends},
  ffmpeg2theora,
  libsox-fmt-all, libxine1-all-plugins,
  gstreamer1.0-libav | gstreamer0.10-ffmpeg,
  gstreamer1.0-plugins-bad | gstreamer0.10-plugins-bad,
  gstreamer1.0-plugins-base | gstreamer0.10-plugins-base,
  gstreamer1.0-plugins-good | gstreamer0.10-plugins-good,
  gstreamer1.0-plugins-ugly | gstreamer0.10-plugins-ugly
Recommends: non-free-codecs,
  gstreamer0.10-fluendo-mp3, gstreamer0.10-plugins-bad-multiverse,
# FIXME
  gstreamer0.10-vaapi
Description: KXStudio meta-packages - Codecs
 This is a meta-package that provides the codecs part of the KXStudio desktop.

# -------------------------------------------------------------------------------------------------
# Extras

Package: kxstudio-meta-restricted-extras
Architecture: all
Depends: ${misc:Depends},
  kxstudio-meta-codecs
Recommends: kubuntu-restricted-extras | xubuntu-restricted-extras | ubuntu-restricted-extras,
  alsa-firmware, linux-firmware-nonfree
Suggests: libdvdcss2
Description: KXStudio meta-packages - Restricted extras
 This is a meta-package that provides the restricted extras part of the KXStudio desktop.

# -------------------------------------------------------------------------------------------------
